com.amazonaws.services.elastictranscoder.model

## Class Thumbnails

- java.lang.Object
- - com.amazonaws.services.elastictranscoder.model.Thumbnails

All Implemented Interfaces:
  Serializable, Cloneable

    public class Thumbnails
    extends Object
    implements Serializable, Cloneable

Thumbnails for videos.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`Thumbnails()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Thumbnails` `clone()`
`boolean` `equals(Object obj)`
`String` `getAspectRatio()` <important>
`String` `getFormat()` The format of thumbnails, if any.
`String` `getInterval()` The approximate number of seconds between thumbnails.
`String` `getMaxHeight()` The maximum height of thumbnails in pixels.
`String` `getMaxWidth()` The maximum width of thumbnails in pixels.
`String` `getPaddingPolicy()` When you set `PaddingPolicy` to `Pad`, Elastic Transcoder may add black bars to the top and bottom and/or left and right sides of thumbnails to make the total size of the thumbnails match the values that you specified for thumbnail `MaxWidth` and `MaxHeight` settings.
`String` `getResolution()` <important>
`String` `getSizingPolicy()` Specify one of the following values to control scaling of thumbnails:
`int` `hashCode()`
`void` `setAspectRatio(String aspectRatio)` <important>
`void` `setFormat(String format)` The format of thumbnails, if any.
`void` `setInterval(String interval)` The approximate number of seconds between thumbnails.
`void` `setMaxHeight(String maxHeight)` The maximum height of thumbnails in pixels.
`void` `setMaxWidth(String maxWidth)` The maximum width of thumbnails in pixels.
`void` `setPaddingPolicy(String paddingPolicy)` When you set `PaddingPolicy` to `Pad`, Elastic Transcoder may add black bars to the top and bottom and/or left and right sides of thumbnails to make the total size of the thumbnails match the values that you specified for thumbnail `MaxWidth` and `MaxHeight` settings.
`void` `setResolution(String resolution)` <important>
`void` `setSizingPolicy(String sizingPolicy)` Specify one of the following values to control scaling of thumbnails:
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`Thumbnails` `withAspectRatio(String aspectRatio)` <important>
`Thumbnails` `withFormat(String format)` The format of thumbnails, if any.
`Thumbnails` `withInterval(String interval)` The approximate number of seconds between thumbnails.
`Thumbnails` `withMaxHeight(String maxHeight)` The maximum height of thumbnails in pixels.
`Thumbnails` `withMaxWidth(String maxWidth)` The maximum width of thumbnails in pixels.
`Thumbnails` `withPaddingPolicy(String paddingPolicy)` When you set `PaddingPolicy` to `Pad`, Elastic Transcoder may add black bars to the top and bottom and/or left and right sides of thumbnails to make the total size of the thumbnails match the values that you specified for thumbnail `MaxWidth` and `MaxHeight` settings.
`Thumbnails` `withResolution(String resolution)` <important>
`Thumbnails` `withSizingPolicy(String sizingPolicy)` Specify one of the following values to control scaling of thumbnails:

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Thumbnails

    public Thumbnails()

### Method Detail

#### setFormat

    public void setFormat(String format)

The format of thumbnails, if any. Valid values are `jpg` and `png`.

You specify whether you want Elastic Transcoder to create thumbnails when you create a job.

Parameters:
  `format` - The format of thumbnails, if any. Valid values are `jpg` and `png`.

  You specify whether you want Elastic Transcoder to create thumbnails when you create a job.

#### getFormat

    public String getFormat()

The format of thumbnails, if any. Valid values are `jpg` and `png`.

You specify whether you want Elastic Transcoder to create thumbnails when you create a job.

Returns:
  The format of thumbnails, if any. Valid values are `jpg` and `png`.

  You specify whether you want Elastic Transcoder to create thumbnails when you create a job.

#### withFormat

    public Thumbnails withFormat(String format)

The format of thumbnails, if any. Valid values are `jpg` and `png`.

You specify whether you want Elastic Transcoder to create thumbnails when you create a job.

Parameters:
  `format` - The format of thumbnails, if any. Valid values are `jpg` and `png`.

  You specify whether you want Elastic Transcoder to create thumbnails when you create a job.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setInterval

    public void setInterval(String interval)

The approximate number of seconds between thumbnails. Specify an integer value.

Parameters:
  `interval` - The approximate number of seconds between thumbnails. Specify an integer value.

#### getInterval

    public String getInterval()

The approximate number of seconds between thumbnails. Specify an integer value.

Returns:
  The approximate number of seconds between thumbnails. Specify an integer value.

#### withInterval

    public Thumbnails withInterval(String interval)

The approximate number of seconds between thumbnails. Specify an integer value.

Parameters:
  `interval` - The approximate number of seconds between thumbnails. Specify an integer value.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setResolution

    public void setResolution(String resolution)

<important>

To better control resolution and aspect ratio of thumbnails, we recommend that you use the values `MaxWidth`, `MaxHeight`, `SizingPolicy`, and `PaddingPolicy` instead of `Resolution` and `AspectRatio`. The two groups of settings are mutually exclusive. Do not use them together.

</important>

The width and height of thumbnail files in pixels. Specify a value in the format `width` x `height` where both values are even integers. The values cannot exceed the width and height that you specified in the `Video:Resolution` object.

Parameters:
  `resolution` -

  To better control resolution and aspect ratio of thumbnails, we recommend that you use the values `MaxWidth`, `MaxHeight`, `SizingPolicy`, and `PaddingPolicy` instead of `Resolution` and `AspectRatio`. The two groups of settings are mutually exclusive. Do not use them together.

  </important>

  The width and height of thumbnail files in pixels. Specify a value in the format `width` x `height` where both values are even integers. The values cannot exceed the width and height that you specified in the `Video:Resolution` object.

#### getResolution

    public String getResolution()

<important>

To better control resolution and aspect ratio of thumbnails, we recommend that you use the values `MaxWidth`, `MaxHeight`, `SizingPolicy`, and `PaddingPolicy` instead of `Resolution` and `AspectRatio`. The two groups of settings are mutually exclusive. Do not use them together.

</important>

The width and height of thumbnail files in pixels. Specify a value in the format `width` x `height` where both values are even integers. The values cannot exceed the width and height that you specified in the `Video:Resolution` object.

Returns:

  To better control resolution and aspect ratio of thumbnails, we recommend that you use the values `MaxWidth`, `MaxHeight`, `SizingPolicy`, and `PaddingPolicy` instead of `Resolution` and `AspectRatio`. The two groups of settings are mutually exclusive. Do not use them together.

  </important>

  The width and height of thumbnail files in pixels. Specify a value in the format `width` x `height` where both values are even integers. The values cannot exceed the width and height that you specified in the `Video:Resolution` object.

#### withResolution

    public Thumbnails withResolution(String resolution)

<important>

To better control resolution and aspect ratio of thumbnails, we recommend that you use the values `MaxWidth`, `MaxHeight`, `SizingPolicy`, and `PaddingPolicy` instead of `Resolution` and `AspectRatio`. The two groups of settings are mutually exclusive. Do not use them together.

</important>

The width and height of thumbnail files in pixels. Specify a value in the format `width` x `height` where both values are even integers. The values cannot exceed the width and height that you specified in the `Video:Resolution` object.

Parameters:
  `resolution` -

  To better control resolution and aspect ratio of thumbnails, we recommend that you use the values `MaxWidth`, `MaxHeight`, `SizingPolicy`, and `PaddingPolicy` instead of `Resolution` and `AspectRatio`. The two groups of settings are mutually exclusive. Do not use them together.

  </important>

  The width and height of thumbnail files in pixels. Specify a value in the format `width` x `height` where both values are even integers. The values cannot exceed the width and height that you specified in the `Video:Resolution` object.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setAspectRatio

    public void setAspectRatio(String aspectRatio)

<important>

To better control resolution and aspect ratio of thumbnails, we recommend that you use the values `MaxWidth`, `MaxHeight`, `SizingPolicy`, and `PaddingPolicy` instead of `Resolution` and `AspectRatio`. The two groups of settings are mutually exclusive. Do not use them together.

</important>

The aspect ratio of thumbnails. Valid values include:

`auto`, `1:1`, `4:3`, `3:2`, `16:9`

If you specify `auto`, Elastic Transcoder tries to preserve the aspect ratio of the video in the output file.

Parameters:
  `aspectRatio` -

  To better control resolution and aspect ratio of thumbnails, we recommend that you use the values `MaxWidth`, `MaxHeight`, `SizingPolicy`, and `PaddingPolicy` instead of `Resolution` and `AspectRatio`. The two groups of settings are mutually exclusive. Do not use them together.

  </important>

  The aspect ratio of thumbnails. Valid values include:

  `auto`, `1:1`, `4:3`, `3:2`, `16:9`

  If you specify `auto`, Elastic Transcoder tries to preserve the aspect ratio of the video in the output file.

#### getAspectRatio

    public String getAspectRatio()

<important>

To better control resolution and aspect ratio of thumbnails, we recommend that you use the values `MaxWidth`, `MaxHeight`, `SizingPolicy`, and `PaddingPolicy` instead of `Resolution` and `AspectRatio`. The two groups of settings are mutually exclusive. Do not use them together.

</important>

The aspect ratio of thumbnails. Valid values include:

`auto`, `1:1`, `4:3`, `3:2`, `16:9`

If you specify `auto`, Elastic Transcoder tries to preserve the aspect ratio of the video in the output file.

Returns:

  To better control resolution and aspect ratio of thumbnails, we recommend that you use the values `MaxWidth`, `MaxHeight`, `SizingPolicy`, and `PaddingPolicy` instead of `Resolution` and `AspectRatio`. The two groups of settings are mutually exclusive. Do not use them together.

  </important>

  The aspect ratio of thumbnails. Valid values include:

  `auto`, `1:1`, `4:3`, `3:2`, `16:9`

  If you specify `auto`, Elastic Transcoder tries to preserve the aspect ratio of the video in the output file.

#### withAspectRatio

    public Thumbnails withAspectRatio(String aspectRatio)

<important>

To better control resolution and aspect ratio of thumbnails, we recommend that you use the values `MaxWidth`, `MaxHeight`, `SizingPolicy`, and `PaddingPolicy` instead of `Resolution` and `AspectRatio`. The two groups of settings are mutually exclusive. Do not use them together.

</important>

The aspect ratio of thumbnails. Valid values include:

`auto`, `1:1`, `4:3`, `3:2`, `16:9`

If you specify `auto`, Elastic Transcoder tries to preserve the aspect ratio of the video in the output file.

Parameters:
  `aspectRatio` -

  To better control resolution and aspect ratio of thumbnails, we recommend that you use the values `MaxWidth`, `MaxHeight`, `SizingPolicy`, and `PaddingPolicy` instead of `Resolution` and `AspectRatio`. The two groups of settings are mutually exclusive. Do not use them together.

  </important>

  The aspect ratio of thumbnails. Valid values include:

  `auto`, `1:1`, `4:3`, `3:2`, `16:9`

  If you specify `auto`, Elastic Transcoder tries to preserve the aspect ratio of the video in the output file.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setMaxWidth

    public void setMaxWidth(String maxWidth)

The maximum width of thumbnails in pixels. If you specify auto, Elastic Transcoder uses 1920 (Full HD) as the default value. If you specify a numeric value, enter an even integer between 32 and 4096.

Parameters:
  `maxWidth` - The maximum width of thumbnails in pixels. If you specify auto, Elastic Transcoder uses 1920 (Full HD) as the default value. If you specify a numeric value, enter an even integer between 32 and 4096.

#### getMaxWidth

    public String getMaxWidth()

The maximum width of thumbnails in pixels. If you specify auto, Elastic Transcoder uses 1920 (Full HD) as the default value. If you specify a numeric value, enter an even integer between 32 and 4096.

Returns:
  The maximum width of thumbnails in pixels. If you specify auto, Elastic Transcoder uses 1920 (Full HD) as the default value. If you specify a numeric value, enter an even integer between 32 and 4096.

#### withMaxWidth

    public Thumbnails withMaxWidth(String maxWidth)

The maximum width of thumbnails in pixels. If you specify auto, Elastic Transcoder uses 1920 (Full HD) as the default value. If you specify a numeric value, enter an even integer between 32 and 4096.

Parameters:
  `maxWidth` - The maximum width of thumbnails in pixels. If you specify auto, Elastic Transcoder uses 1920 (Full HD) as the default value. If you specify a numeric value, enter an even integer between 32 and 4096.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setMaxHeight

    public void setMaxHeight(String maxHeight)

The maximum height of thumbnails in pixels. If you specify auto, Elastic Transcoder uses 1080 (Full HD) as the default value. If you specify a numeric value, enter an even integer between 32 and 3072.

Parameters:
  `maxHeight` - The maximum height of thumbnails in pixels. If you specify auto, Elastic Transcoder uses 1080 (Full HD) as the default value. If you specify a numeric value, enter an even integer between 32 and 3072.

#### getMaxHeight

    public String getMaxHeight()

The maximum height of thumbnails in pixels. If you specify auto, Elastic Transcoder uses 1080 (Full HD) as the default value. If you specify a numeric value, enter an even integer between 32 and 3072.

Returns:
  The maximum height of thumbnails in pixels. If you specify auto, Elastic Transcoder uses 1080 (Full HD) as the default value. If you specify a numeric value, enter an even integer between 32 and 3072.

#### withMaxHeight

    public Thumbnails withMaxHeight(String maxHeight)

The maximum height of thumbnails in pixels. If you specify auto, Elastic Transcoder uses 1080 (Full HD) as the default value. If you specify a numeric value, enter an even integer between 32 and 3072.

Parameters:
  `maxHeight` - The maximum height of thumbnails in pixels. If you specify auto, Elastic Transcoder uses 1080 (Full HD) as the default value. If you specify a numeric value, enter an even integer between 32 and 3072.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setSizingPolicy

    public void setSizingPolicy(String sizingPolicy)

Specify one of the following values to control scaling of thumbnails:

- `Fit`: Elastic Transcoder scales thumbnails so they match the value that you specified in thumbnail MaxWidth or MaxHeight settings without exceeding the other value.

- `Fill`: Elastic Transcoder scales thumbnails so they match the value that you specified in thumbnail `MaxWidth` or `MaxHeight` settings and matches or exceeds the other value. Elastic Transcoder centers the image in thumbnails and then crops in the dimension (if any) that exceeds the maximum value.

- `Stretch`: Elastic Transcoder stretches thumbnails to match the values that you specified for thumbnail `MaxWidth` and `MaxHeight` settings. If the relative proportions of the input video and thumbnails are different, the thumbnails will be distorted.

- `Keep`: Elastic Transcoder does not scale thumbnails. If either dimension of the input video exceeds the values that you specified for thumbnail `MaxWidth` and `MaxHeight` settings, Elastic Transcoder crops the thumbnails.

- `ShrinkToFit`: Elastic Transcoder scales thumbnails down so that their dimensions match the values that you specified for at least one of thumbnail `MaxWidth` and `MaxHeight` without exceeding either value. If you specify this option, Elastic Transcoder does not scale thumbnails up.

- `ShrinkToFill`: Elastic Transcoder scales thumbnails down so that their dimensions match the values that you specified for at least one of `MaxWidth` and `MaxHeight` without dropping below either value. If you specify this option, Elastic Transcoder does not scale thumbnails up.

Parameters:
  `sizingPolicy` - Specify one of the following values to control scaling of thumbnails:

  - `Fit`: Elastic Transcoder scales thumbnails so they match the value that you specified in thumbnail MaxWidth or MaxHeight settings without exceeding the other value.

  - `Fill`: Elastic Transcoder scales thumbnails so they match the value that you specified in thumbnail `MaxWidth` or `MaxHeight` settings and matches or exceeds the other value. Elastic Transcoder centers the image in thumbnails and then crops in the dimension (if any) that exceeds the maximum value.

  - `Stretch`: Elastic Transcoder stretches thumbnails to match the values that you specified for thumbnail `MaxWidth` and `MaxHeight` settings. If the relative proportions of the input video and thumbnails are different, the thumbnails will be distorted.

  - `Keep`: Elastic Transcoder does not scale thumbnails. If either dimension of the input video exceeds the values that you specified for thumbnail `MaxWidth` and `MaxHeight` settings, Elastic Transcoder crops the thumbnails.

  - `ShrinkToFit`: Elastic Transcoder scales thumbnails down so that their dimensions match the values that you specified for at least one of thumbnail `MaxWidth` and `MaxHeight` without exceeding either value. If you specify this option, Elastic Transcoder does not scale thumbnails up.

  - `ShrinkToFill`: Elastic Transcoder scales thumbnails down so that their dimensions match the values that you specified for at least one of `MaxWidth` and `MaxHeight` without dropping below either value. If you specify this option, Elastic Transcoder does not scale thumbnails up.

#### getSizingPolicy

    public String getSizingPolicy()

Specify one of the following values to control scaling of thumbnails:

- `Fit`: Elastic Transcoder scales thumbnails so they match the value that you specified in thumbnail MaxWidth or MaxHeight settings without exceeding the other value.

- `Fill`: Elastic Transcoder scales thumbnails so they match the value that you specified in thumbnail `MaxWidth` or `MaxHeight` settings and matches or exceeds the other value. Elastic Transcoder centers the image in thumbnails and then crops in the dimension (if any) that exceeds the maximum value.

- `Stretch`: Elastic Transcoder stretches thumbnails to match the values that you specified for thumbnail `MaxWidth` and `MaxHeight` settings. If the relative proportions of the input video and thumbnails are different, the thumbnails will be distorted.

- `Keep`: Elastic Transcoder does not scale thumbnails. If either dimension of the input video exceeds the values that you specified for thumbnail `MaxWidth` and `MaxHeight` settings, Elastic Transcoder crops the thumbnails.

- `ShrinkToFit`: Elastic Transcoder scales thumbnails down so that their dimensions match the values that you specified for at least one of thumbnail `MaxWidth` and `MaxHeight` without exceeding either value. If you specify this option, Elastic Transcoder does not scale thumbnails up.

- `ShrinkToFill`: Elastic Transcoder scales thumbnails down so that their dimensions match the values that you specified for at least one of `MaxWidth` and `MaxHeight` without dropping below either value. If you specify this option, Elastic Transcoder does not scale thumbnails up.

Returns:
  Specify one of the following values to control scaling of thumbnails:

  - `Fit`: Elastic Transcoder scales thumbnails so they match the value that you specified in thumbnail MaxWidth or MaxHeight settings without exceeding the other value.

  - `Fill`: Elastic Transcoder scales thumbnails so they match the value that you specified in thumbnail `MaxWidth` or `MaxHeight` settings and matches or exceeds the other value. Elastic Transcoder centers the image in thumbnails and then crops in the dimension (if any) that exceeds the maximum value.

  - `Stretch`: Elastic Transcoder stretches thumbnails to match the values that you specified for thumbnail `MaxWidth` and `MaxHeight` settings. If the relative proportions of the input video and thumbnails are different, the thumbnails will be distorted.

  - `Keep`: Elastic Transcoder does not scale thumbnails. If either dimension of the input video exceeds the values that you specified for thumbnail `MaxWidth` and `MaxHeight` settings, Elastic Transcoder crops the thumbnails.

  - `ShrinkToFit`: Elastic Transcoder scales thumbnails down so that their dimensions match the values that you specified for at least one of thumbnail `MaxWidth` and `MaxHeight` without exceeding either value. If you specify this option, Elastic Transcoder does not scale thumbnails up.

  - `ShrinkToFill`: Elastic Transcoder scales thumbnails down so that their dimensions match the values that you specified for at least one of `MaxWidth` and `MaxHeight` without dropping below either value. If you specify this option, Elastic Transcoder does not scale thumbnails up.

#### withSizingPolicy

    public Thumbnails withSizingPolicy(String sizingPolicy)

Specify one of the following values to control scaling of thumbnails:

- `Fit`: Elastic Transcoder scales thumbnails so they match the value that you specified in thumbnail MaxWidth or MaxHeight settings without exceeding the other value.

- `Fill`: Elastic Transcoder scales thumbnails so they match the value that you specified in thumbnail `MaxWidth` or `MaxHeight` settings and matches or exceeds the other value. Elastic Transcoder centers the image in thumbnails and then crops in the dimension (if any) that exceeds the maximum value.

- `Stretch`: Elastic Transcoder stretches thumbnails to match the values that you specified for thumbnail `MaxWidth` and `MaxHeight` settings. If the relative proportions of the input video and thumbnails are different, the thumbnails will be distorted.

- `Keep`: Elastic Transcoder does not scale thumbnails. If either dimension of the input video exceeds the values that you specified for thumbnail `MaxWidth` and `MaxHeight` settings, Elastic Transcoder crops the thumbnails.

- `ShrinkToFit`: Elastic Transcoder scales thumbnails down so that their dimensions match the values that you specified for at least one of thumbnail `MaxWidth` and `MaxHeight` without exceeding either value. If you specify this option, Elastic Transcoder does not scale thumbnails up.

- `ShrinkToFill`: Elastic Transcoder scales thumbnails down so that their dimensions match the values that you specified for at least one of `MaxWidth` and `MaxHeight` without dropping below either value. If you specify this option, Elastic Transcoder does not scale thumbnails up.

Parameters:
  `sizingPolicy` - Specify one of the following values to control scaling of thumbnails:

  - `Fit`: Elastic Transcoder scales thumbnails so they match the value that you specified in thumbnail MaxWidth or MaxHeight settings without exceeding the other value.

  - `Fill`: Elastic Transcoder scales thumbnails so they match the value that you specified in thumbnail `MaxWidth` or `MaxHeight` settings and matches or exceeds the other value. Elastic Transcoder centers the image in thumbnails and then crops in the dimension (if any) that exceeds the maximum value.

  - `Stretch`: Elastic Transcoder stretches thumbnails to match the values that you specified for thumbnail `MaxWidth` and `MaxHeight` settings. If the relative proportions of the input video and thumbnails are different, the thumbnails will be distorted.

  - `Keep`: Elastic Transcoder does not scale thumbnails. If either dimension of the input video exceeds the values that you specified for thumbnail `MaxWidth` and `MaxHeight` settings, Elastic Transcoder crops the thumbnails.

  - `ShrinkToFit`: Elastic Transcoder scales thumbnails down so that their dimensions match the values that you specified for at least one of thumbnail `MaxWidth` and `MaxHeight` without exceeding either value. If you specify this option, Elastic Transcoder does not scale thumbnails up.

  - `ShrinkToFill`: Elastic Transcoder scales thumbnails down so that their dimensions match the values that you specified for at least one of `MaxWidth` and `MaxHeight` without dropping below either value. If you specify this option, Elastic Transcoder does not scale thumbnails up.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setPaddingPolicy

    public void setPaddingPolicy(String paddingPolicy)

When you set `PaddingPolicy` to `Pad`, Elastic Transcoder may add black bars to the top and bottom and/or left and right sides of thumbnails to make the total size of the thumbnails match the values that you specified for thumbnail `MaxWidth` and `MaxHeight` settings.

Parameters:
  `paddingPolicy` - When you set `PaddingPolicy` to `Pad`, Elastic Transcoder may add black bars to the top and bottom and/or left and right sides of thumbnails to make the total size of the thumbnails match the values that you specified for thumbnail `MaxWidth` and `MaxHeight` settings.

#### getPaddingPolicy

    public String getPaddingPolicy()

When you set `PaddingPolicy` to `Pad`, Elastic Transcoder may add black bars to the top and bottom and/or left and right sides of thumbnails to make the total size of the thumbnails match the values that you specified for thumbnail `MaxWidth` and `MaxHeight` settings.

Returns:
  When you set `PaddingPolicy` to `Pad`, Elastic Transcoder may add black bars to the top and bottom and/or left and right sides of thumbnails to make the total size of the thumbnails match the values that you specified for thumbnail `MaxWidth` and `MaxHeight` settings.

#### withPaddingPolicy

    public Thumbnails withPaddingPolicy(String paddingPolicy)

When you set `PaddingPolicy` to `Pad`, Elastic Transcoder may add black bars to the top and bottom and/or left and right sides of thumbnails to make the total size of the thumbnails match the values that you specified for thumbnail `MaxWidth` and `MaxHeight` settings.

Parameters:
  `paddingPolicy` - When you set `PaddingPolicy` to `Pad`, Elastic Transcoder may add black bars to the top and bottom and/or left and right sides of thumbnails to make the total size of the thumbnails match the values that you specified for thumbnail `MaxWidth` and `MaxHeight` settings.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public Thumbnails clone()

Overrides:
  `clone` in class `Object`